
Ruby - Bug #7167

Segmentation Fault

10/16/2012 03:58 AM - ushi (ushi kalcher)

Status: Closed   

Priority: Normal   

Assignee: akr (Akira Tanaka)   

Target version: 2.6   

ruby -v: 1.9.3p286 Backport:  

Description

I got a segfault trying to install the prawn gem via rubygems on a archlinux box. Please tell me how i can help.

% sudo ruby -v /usr/bin/gem install prawn

ruby 1.9.3p286 (2012-10-12 revision 37165) [x86_64-linux]

/usr/lib/ruby/1.9.1/rubygems/psych_tree.rb:31: warning: method redefined; discarding old visit_String

/usr/lib/ruby/1.9.1/rubygems/psych_tree.rb:4: warning: previous definition of visit_String was here

/usr/lib/ruby/1.9.1/rubygems/psych_tree.rb:39: warning: method redefined; discarding old register

/usr/lib/ruby/1.9.1/rubygems/psych_tree.rb:12: warning: previous definition of register was here

/usr/lib/ruby/1.9.1/rubygems/psych_tree.rb:43: warning: method redefined; discarding old format_time

/usr/lib/ruby/1.9.1/rubygems/psych_tree.rb:16: warning: previous definition of format_time was here

/usr/lib/ruby/1.9.1/rubygems/syck_hack.rb:115: warning: method redefined; discarding old to_s

/usr/lib/ruby/1.9.1/rubygems/syck_hack.rb:44: warning: previous definition of to_s was here

Fetching: prawn-0.12.0.gem ( 78%)/usr/lib/ruby/1.9.1/net/protocol.rb:141: [BUG] rb_gc_mark(): unknown data type 0x0(0x27a3568)

non object

ruby 1.9.3p286 (2012-10-12 revision 37165) [x86_64-linux]

-- Control frame information -----------------------------------------------

c:0035 p:---- s:0188 b:0188 l:000187 d:000187 CFUNC  :read_nonblock

c:0034 p:0025 s:0184 b:0183 l:000182 d:000182 METHOD /usr/lib/ruby/1.9.1/net/protocol.rb:141

c:0033 p:0090 s:0180 b:0180 l:000179 d:000179 METHOD /usr/lib/ruby/1.9.1/net/protocol.rb:92

c:0032 p:0067 s:0172 b:0172 l:000171 d:000171 METHOD /usr/lib/ruby/1.9.1/net/http.rb:2755

c:0031 p:0102 s:0167 b:0167 l:000166 d:000166 METHOD /usr/lib/ruby/1.9.1/net/http.rb:2710

c:0030 p:0071 s:0161 b:0161 l:001d30 d:001d20 BLOCK  /usr/lib/ruby/1.9.1/rubygems/remote_fetcher.rb:423

c:0029 p:0017 s:0156 b:0156 l:000140 d:000155 BLOCK  /usr/lib/ruby/1.9.1/net/http.rb:1322

c:0028 p:0042 s:0154 b:0154 l:000153 d:000153 METHOD /usr/lib/ruby/1.9.1/net/http.rb:2671

c:0027 p:0106 s:0149 b:0149 l:000140 d:000148 BLOCK  /usr/lib/ruby/1.9.1/net/http.rb:1321

c:0026 p:---- s:0147 b:0147 l:000146 d:000146 FINISH

c:0025 p:---- s:0145 b:0145 l:000144 d:000144 CFUNC  :catch

c:0024 p:0025 s:0141 b:0141 l:000140 d:000140 METHOD /usr/lib/ruby/1.9.1/net/http.rb:1316

c:0023 p:0097 s:0135 b:0135 l:000134 d:000134 METHOD /usr/lib/ruby/1.9.1/net/http.rb:1293

c:0022 p:0373 s:0128 b:0128 l:001d30 d:001d30 METHOD /usr/lib/ruby/1.9.1/rubygems/remote_fetcher.rb:417

c:0021 p:0060 s:0114 b:0114 l:000113 d:000113 METHOD /usr/lib/ruby/1.9.1/rubygems/remote_fetcher.rb:205

c:0020 p:0392 s:0104 b:0104 l:000103 d:000103 METHOD /usr/lib/ruby/1.9.1/rubygems/remote_fetcher.rb:220

c:0019 p:0149 s:0094 b:0094 l:000093 d:000093 METHOD /usr/lib/ruby/1.9.1/rubygems/remote_fetcher.rb:238

c:0018 p:0489 s:0086 b:0086 l:000085 d:000085 METHOD /usr/lib/ruby/1.9.1/rubygems/remote_fetcher.rb:135

c:0017 p:0140 s:0071 b:0071 l:000053 d:000070 BLOCK  /usr/lib/ruby/1.9.1/rubygems/dependency_installer.rb:278

c:0016 p:---- s:0063 b:0063 l:000062 d:000062 FINISH

c:0015 p:---- s:0061 b:0061 l:000056 d:000060 IFUNC

c:0014 p:---- s:0059 b:0059 l:000058 d:000058 CFUNC  :each

c:0013 p:---- s:0057 b:0057 l:000056 d:000056 CFUNC  :each_with_index

c:0012 p:0134 s:0054 b:0054 l:000053 d:000053 METHOD /usr/lib/ruby/1.9.1/rubygems/dependency_installer.rb:270

c:0011 p:0119 s:0048 b:0048 l:000037 d:000047 BLOCK  /usr/lib/ruby/1.9.1/rubygems/commands/install_command.rb:121

c:0010 p:---- s:0043 b:0043 l:000042 d:000042 FINISH

c:0009 p:---- s:0041 b:0041 l:000040 d:000040 CFUNC  :each

c:0008 p:0118 s:0038 b:0038 l:000037 d:000037 METHOD /usr/lib/ruby/1.9.1/rubygems/commands/install_command.rb:115

c:0007 p:0076 s:0032 b:0032 l:000031 d:000031 METHOD /usr/lib/ruby/1.9.1/rubygems/command.rb:278

c:0006 p:0193 s:0028 b:0028 l:000027 d:000027 METHOD /usr/lib/ruby/1.9.1/rubygems/command_manager.rb:147

c:0005 p:0013 s:0022 b:0022 l:000021 d:000021 METHOD /usr/lib/ruby/1.9.1/rubygems/command_manager.rb:117

c:0004 p:0178 s:0017 b:0017 l:000016 d:000016 METHOD /usr/lib/ruby/1.9.1/rubygems/gem_runner.rb:65

c:0003 p:0164 s:0009 b:0009 l:001248 d:0009b0 EVAL   /usr/bin/gem:21

c:0002 p:---- s:0004 b:0004 l:000003 d:000003 FINISH

c:0001 p:0000 s:0002 b:0002 l:001248 d:001248 TOP
-- Ruby level backtrace information ----------------------------------------

/usr/bin/gem:21:in <main>' /usr/lib/ruby/1.9.1/rubygems/gem_runner.rb:65:in run'

/usr/lib/ruby/1.9.1/rubygems/command_manager.rb:117:in run' /usr/lib/ruby/1.9.1/rubygems/command_manager.rb:147:in

process_args'

/usr/lib/ruby/1.9.1/rubygems/command.rb:278:in invoke' /usr/lib/ruby/1.9.1/rubygems/commands/install_command.rb:115:in execute'

/usr/lib/ruby/1.9.1/rubygems/commands/install_command.rb:115:in each'

/usr/lib/ruby/1.9.1/rubygems/commands/install_command.rb:121:in block in execute'

/usr/lib/ruby/1.9.1/rubygems/dependency_installer.rb:270:in install' /usr/lib/ruby/1.9.1/rubygems/dependency_installer.rb:270:in

each_with_index'

/usr/lib/ruby/1.9.1/rubygems/dependency_installer.rb:270:in each' /usr/lib/ruby/1.9.1/rubygems/dependency_installer.rb:278:in block

in install'

/usr/lib/ruby/1.9.1/rubygems/remote_fetcher.rb:135:in download' /usr/lib/ruby/1.9.1/rubygems/remote_fetcher.rb:238:in fetch_path'

/usr/lib/ruby/1.9.1/rubygems/remote_fetcher.rb:220:in fetch_http' /usr/lib/ruby/1.9.1/rubygems/remote_fetcher.rb:205:in fetch_http'

/usr/lib/ruby/1.9.1/rubygems/remote_fetcher.rb:417:in request' /usr/lib/ruby/1.9.1/net/http.rb:1293:in request'

/usr/lib/ruby/1.9.1/net/http.rb:1316:in transport_request' /usr/lib/ruby/1.9.1/net/http.rb:1316:in catch'

/usr/lib/ruby/1.9.1/net/http.rb:1321:in block in transport_request' /usr/lib/ruby/1.9.1/net/http.rb:2671:in reading_body'

/usr/lib/ruby/1.9.1/net/http.rb:1322:in block (2 levels) in transport_request' /usr/lib/ruby/1.9.1/rubygems/remote_fetcher.rb:423:in block

in request'

/usr/lib/ruby/1.9.1/net/http.rb:2710:in read_body' /usr/lib/ruby/1.9.1/net/http.rb:2755:in read_body_0'

/usr/lib/ruby/1.9.1/net/protocol.rb:92:in read' /usr/lib/ruby/1.9.1/net/protocol.rb:141:in rbuf_fill'

/usr/lib/ruby/1.9.1/net/protocol.rb:141:in `read_nonblock'

-- C level backtrace information -------------------------------------------

/usr/lib/libruby.so.1.9(+0x155839) [0x7f3921662839]

/usr/lib/libruby.so.1.9(+0x57d79) [0x7f3921564d79]

/usr/lib/libruby.so.1.9(rb_bug+0xb3) [0x7f3921565563]

/usr/lib/libruby.so.1.9(+0x6bb91) [0x7f3921578b91]

/usr/lib/libruby.so.1.9(+0x6bafb) [0x7f3921578afb]

/usr/lib/libruby.so.1.9(+0x6bafb) [0x7f3921578afb]

/usr/lib/libruby.so.1.9(+0x6bf50) [0x7f3921578f50]

/usr/lib/libruby.so.1.9(st_foreach+0xbd) [0x7f392160bc3d]

/usr/lib/libruby.so.1.9(+0x6b719) [0x7f3921578719]

/usr/lib/libruby.so.1.9(+0x6bb3b) [0x7f3921578b3b]

/usr/lib/libruby.so.1.9(+0x6bf82) [0x7f3921578f82]

/usr/lib/libruby.so.1.9(st_foreach+0x47) [0x7f392160bbc7]

/usr/lib/libruby.so.1.9(+0x6a726) [0x7f3921577726]

/usr/lib/libruby.so.1.9(+0x6ba4c) [0x7f3921578a4c]

/usr/lib/libruby.so.1.9(+0x6bf16) [0x7f3921578f16]

/usr/lib/libruby.so.1.9(st_foreach+0xbd) [0x7f392160bc3d]

/usr/lib/libruby.so.1.9(+0x6ba71) [0x7f3921578a71]

/usr/lib/libruby.so.1.9(+0x6b7ae) [0x7f39215787ae]

/usr/lib/libruby.so.1.9(+0x13bf25) [0x7f3921648f25]

/usr/lib/libruby.so.1.9(+0x6b6ca) [0x7f39215786ca]

/usr/lib/libruby.so.1.9(+0x6beea) [0x7f3921578eea]

/usr/lib/libruby.so.1.9(st_foreach+0x47) [0x7f392160bbc7]

/usr/lib/libruby.so.1.9(+0x6ba39) [0x7f3921578a39]

/usr/lib/libruby.so.1.9(+0x6b4f5) [0x7f39215784f5]

/usr/lib/libruby.so.1.9(+0x6b4f5) [0x7f39215784f5]

/usr/lib/libruby.so.1.9(+0x6b4f5) [0x7f39215784f5]

/usr/lib/libruby.so.1.9(+0x6bafb) [0x7f3921578afb]

/usr/lib/libruby.so.1.9(+0x6bafb) [0x7f3921578afb]

/usr/lib/libruby.so.1.9(+0x6bafb) [0x7f3921578afb]

/usr/lib/libruby.so.1.9(+0x6bd72) [0x7f3921578d72]

/usr/lib/libruby.so.1.9(+0x14062e) [0x7f392164d62e]

/usr/lib/libruby.so.1.9(+0x6b6ca) [0x7f39215786ca]

/usr/lib/libruby.so.1.9(+0x6bd72) [0x7f3921578d72]

/usr/lib/libruby.so.1.9(+0x14062e) [0x7f392164d62e]

/usr/lib/libruby.so.1.9(+0x6b6ca) [0x7f39215786ca]

/usr/lib/libruby.so.1.9(+0x5fb65) [0x7f392156cb65]

/usr/lib/libruby.so.1.9(+0x6b6ca) [0x7f39215786ca]

/usr/lib/libruby.so.1.9(+0x6bb3b) [0x7f3921578b3b]

/usr/lib/libruby.so.1.9(+0x6bf50) [0x7f3921578f50]

/usr/lib/libruby.so.1.9(st_foreach+0xbd) [0x7f392160bc3d]

/usr/lib/libruby.so.1.9(+0x6b719) [0x7f3921578719]

/usr/lib/libruby.so.1.9(+0x6bb3b) [0x7f3921578b3b]

/usr/lib/libruby.so.1.9(+0x6bafb) [0x7f3921578afb]

/usr/lib/libruby.so.1.9(+0x6bb3b) [0x7f3921578b3b]
/usr/lib/libruby.so.1.9(+0x6bb3b) [0x7f3921578b3b]

/usr/lib/libruby.so.1.9(+0x1406a5) [0x7f392164d6a5]

/usr/lib/libruby.so.1.9(+0x6b6ca) [0x7f39215786ca]

/usr/lib/libruby.so.1.9(+0x5fb65) [0x7f392156cb65]

/usr/lib/libruby.so.1.9(+0x6b6ca) [0x7f39215786ca]

/usr/lib/libruby.so.1.9(+0x6bafb) [0x7f3921578afb]

/usr/lib/libruby.so.1.9(+0x6bf50) [0x7f3921578f50]

/usr/lib/libruby.so.1.9(st_foreach+0xbd) [0x7f392160bc3d]

/usr/lib/libruby.so.1.9(+0x6b719) [0x7f3921578719]

/usr/lib/libruby.so.1.9(+0x6bb3b) [0x7f3921578b3b]

/usr/lib/libruby.so.1.9(+0x6bafb) [0x7f3921578afb]

/usr/lib/libruby.so.1.9(+0x6bf82) [0x7f3921578f82]

/usr/lib/libruby.so.1.9(st_foreach+0x47) [0x7f392160bbc7]

/usr/lib/libruby.so.1.9(+0x6a726) [0x7f3921577726]

/usr/lib/libruby.so.1.9(+0x6ba4c) [0x7f3921578a4c]

/usr/lib/libruby.so.1.9(+0x6b7ae) [0x7f39215787ae]

/usr/lib/libruby.so.1.9(+0x13bf25) [0x7f3921648f25]

/usr/lib/libruby.so.1.9(+0x6b6ca) [0x7f39215786ca]

/usr/lib/libruby.so.1.9(+0x6bafb) [0x7f3921578afb]

/usr/lib/libruby.so.1.9(+0x13bf65) [0x7f3921648f65]

/usr/lib/libruby.so.1.9(+0x6b6ca) [0x7f39215786ca]

/usr/lib/libruby.so.1.9(+0x6beea) [0x7f3921578eea]

/usr/lib/libruby.so.1.9(st_foreach+0x47) [0x7f392160bbc7]

/usr/lib/libruby.so.1.9(+0x6ba39) [0x7f3921578a39]

/usr/lib/libruby.so.1.9(+0x6b4f5) [0x7f39215784f5]

/usr/lib/libruby.so.1.9(+0x6b4f5) [0x7f39215784f5]

/usr/lib/libruby.so.1.9(+0x6b4f5) [0x7f39215784f5]

/usr/lib/libruby.so.1.9(+0x74dae) [0x7f3921581dae]

/usr/lib/libruby.so.1.9(+0x6b6ca) [0x7f39215786ca]

/usr/lib/libruby.so.1.9(+0x6bf16) [0x7f3921578f16]

/usr/lib/libruby.so.1.9(st_foreach+0xbd) [0x7f392160bc3d]

/usr/lib/libruby.so.1.9(+0x6ba71) [0x7f3921578a71]

/usr/lib/libruby.so.1.9(+0x6b4f5) [0x7f39215784f5]

/usr/lib/libruby.so.1.9(+0x13bf55) [0x7f3921648f55]

/usr/lib/libruby.so.1.9(+0x6b6ca) [0x7f39215786ca]

/usr/lib/libruby.so.1.9(+0x6beea) [0x7f3921578eea]

/usr/lib/libruby.so.1.9(st_foreach+0x47) [0x7f392160bbc7]

/usr/lib/libruby.so.1.9(+0x6ba39) [0x7f3921578a39]

/usr/lib/libruby.so.1.9(+0x6bf82) [0x7f3921578f82]

/usr/lib/libruby.so.1.9(st_foreach+0x47) [0x7f392160bbc7]

/usr/lib/libruby.so.1.9(+0x6a726) [0x7f3921577726]

/usr/lib/libruby.so.1.9(+0x6ba4c) [0x7f3921578a4c]

/usr/lib/libruby.so.1.9(+0x6b4f5) [0x7f39215784f5]

/usr/lib/libruby.so.1.9(+0x6b4f5) [0x7f39215784f5]

/usr/lib/libruby.so.1.9(+0x6b4f5) [0x7f39215784f5]

/usr/lib/libruby.so.1.9(+0x6beea) [0x7f3921578eea]

/usr/lib/libruby.so.1.9(st_foreach+0xbd) [0x7f392160bc3d]

/usr/lib/libruby.so.1.9(+0x6ba39) [0x7f3921578a39]

/usr/lib/libruby.so.1.9(+0x6bf82) [0x7f3921578f82]

/usr/lib/libruby.so.1.9(st_foreach+0x47) [0x7f392160bbc7]

/usr/lib/libruby.so.1.9(+0x6a726) [0x7f3921577726]

/usr/lib/libruby.so.1.9(+0x6ba4c) [0x7f3921578a4c]

/usr/lib/libruby.so.1.9(+0x6bf82) [0x7f3921578f82]

/usr/lib/libruby.so.1.9(st_foreach+0x47) [0x7f392160bbc7]

/usr/lib/libruby.so.1.9(+0x6a726) [0x7f3921577726]

/usr/lib/libruby.so.1.9(+0x6ba4c) [0x7f3921578a4c]

/usr/lib/libruby.so.1.9(+0x6bf82) [0x7f3921578f82]

/usr/lib/libruby.so.1.9(st_foreach+0x47) [0x7f392160bbc7]

/usr/lib/libruby.so.1.9(+0x6a726) [0x7f3921577726]

/usr/lib/libruby.so.1.9(+0x6ba4c) [0x7f3921578a4c]

/usr/lib/libruby.so.1.9(+0x6b4f5) [0x7f39215784f5]

/usr/lib/libruby.so.1.9(+0x6b4f5) [0x7f39215784f5]

/usr/lib/libruby.so.1.9(+0x6b4f5) [0x7f39215784f5]

/usr/lib/libruby.so.1.9(+0x6b4f5) [0x7f39215784f5]

/usr/lib/libruby.so.1.9(+0x6b4f5) [0x7f39215784f5]

/usr/lib/libruby.so.1.9(+0x6d774) [0x7f392157a774]

/usr/lib/libruby.so.1.9(+0x6d9c7) [0x7f392157a9c7]
/usr/lib/libruby.so.1.9(+0x6dd7a) [0x7f392157ad7a]

/usr/lib/libruby.so.1.9(+0x1024aa) [0x7f392160f4aa]

/usr/lib/libruby.so.1.9(+0x75e07) [0x7f3921582e07]

/usr/lib/libruby.so.1.9(+0x7d5b0) [0x7f392158a5b0]

/usr/lib/libruby.so.1.9(+0x7d78e) [0x7f392158a78e]

/usr/lib/libruby.so.1.9(+0x14f9d3) [0x7f392165c9d3]

/usr/lib/libruby.so.1.9(+0x145818) [0x7f3921652818]

/usr/lib/libruby.so.1.9(+0x14aeb0) [0x7f3921657eb0]

/usr/lib/libruby.so.1.9(+0x150d75) [0x7f392165dd75]

/usr/lib/libruby.so.1.9(rb_catch_obj+0xba) [0x7f392165093a]

/usr/lib/libruby.so.1.9(+0x1439de) [0x7f39216509de]

/usr/lib/libruby.so.1.9(+0x14f9d3) [0x7f392165c9d3]

/usr/lib/libruby.so.1.9(+0x145818) [0x7f3921652818]

/usr/lib/libruby.so.1.9(+0x14aeb0) [0x7f3921657eb0]

/usr/lib/libruby.so.1.9(rb_yield_values+0x25d) [0x7f392165ea5d]

/usr/lib/libruby.so.1.9(+0x1444a3) [0x7f39216514a3]

/usr/lib/libruby.so.1.9(rb_yield+0x37b) [0x7f392165e73b]

/usr/lib/libruby.so.1.9(rb_ary_each+0x52) [0x7f39215382a2]

/usr/lib/libruby.so.1.9(+0x14be62) [0x7f3921658e62]

/usr/lib/libruby.so.1.9(rb_iterate+0xcf) [0x7f39216504cf]

/usr/lib/libruby.so.1.9(rb_block_call+0x2b) [0x7f392165068b]

/usr/lib/libruby.so.1.9(+0x53c0b) [0x7f3921560c0b]

/usr/lib/libruby.so.1.9(+0x14f9d3) [0x7f392165c9d3]

/usr/lib/libruby.so.1.9(+0x145818) [0x7f3921652818]

/usr/lib/libruby.so.1.9(+0x14aeb0) [0x7f3921657eb0]

/usr/lib/libruby.so.1.9(rb_yield+0x178) [0x7f392165e538]

/usr/lib/libruby.so.1.9(rb_ary_each+0x52) [0x7f39215382a2]

/usr/lib/libruby.so.1.9(+0x14f9d3) [0x7f392165c9d3]

/usr/lib/libruby.so.1.9(+0x145818) [0x7f3921652818]

/usr/lib/libruby.so.1.9(+0x14aeb0) [0x7f3921657eb0]

/usr/lib/libruby.so.1.9(rb_iseq_eval_main+0xad) [0x7f392165f3bd]

/usr/lib/libruby.so.1.9(+0x5b6ba) [0x7f39215686ba]

/usr/lib/libruby.so.1.9(ruby_exec_node+0x1d) [0x7f392156915d]

/usr/lib/libruby.so.1.9(ruby_run_node+0x1e) [0x7f392156abee]

ruby() [0x4008ab]

/usr/lib/libc.so.6(__libc_start_main+0xf5) [0x7f3921187725]

ruby() [0x4008d9]

-- Other runtime information -----------------------------------------------

Loaded script: /usr/bin/gem

Loaded features:

0 enumerator.so

1 /usr/lib/ruby/1.9.1/x86_64-linux/enc/encdb.so

2 /usr/lib/ruby/1.9.1/x86_64-linux/enc/trans/transdb.so

3 /usr/lib/ruby/1.9.1/rubygems/defaults.rb

4 /usr/lib/ruby/1.9.1/x86_64-linux/rbconfig.rb

5 /usr/lib/ruby/1.9.1/rubygems/deprecate.rb

6 /usr/lib/ruby/1.9.1/rubygems/exceptions.rb

7 /usr/lib/ruby/1.9.1/rubygems/custom_require.rb

8 /usr/lib/ruby/1.9.1/rubygems.rb

9 /usr/lib/ruby/1.9.1/optparse.rb

10 /usr/lib/ruby/1.9.1/rubygems/user_interaction.rb

11 /usr/lib/ruby/1.9.1/rubygems/command.rb

12 /usr/lib/ruby/1.9.1/rubygems/command_manager.rb

13 /usr/lib/ruby/1.9.1/x86_64-linux/etc.so

14 /usr/lib/ruby/1.9.1/rubygems/config_file.rb

15 /usr/lib/ruby/1.9.1/rubygems/doc_manager.rb

16 /usr/lib/ruby/1.9.1/rubygems/version.rb

17 /usr/lib/ruby/1.9.1/rubygems/requirement.rb

18 /usr/lib/ruby/1.9.1/rubygems/platform.rb

19 /usr/lib/ruby/1.9.1/rubygems/specification.rb

20 /usr/lib/ruby/1.9.1/rubygems/path_support.rb

21 /usr/lib/ruby/1.9.1/rubygems/dependency.rb

22 /usr/lib/ruby/1.9.1/rubygems/gem_runner.rb
23 /usr/lib/ruby/1.9.1/psych/syntax_error.rb

24 /usr/lib/ruby/1.9.1/x86_64-linux/psych.so

25 /usr/lib/ruby/1.9.1/x86_64-linux/stringio.so

26 /usr/lib/ruby/1.9.1/psych/nodes/node.rb

27 /usr/lib/ruby/1.9.1/psych/nodes/stream.rb

28 /usr/lib/ruby/1.9.1/psych/nodes/document.rb

29 /usr/lib/ruby/1.9.1/psych/nodes/sequence.rb

30 /usr/lib/ruby/1.9.1/psych/nodes/scalar.rb

31 /usr/lib/ruby/1.9.1/psych/nodes/mapping.rb

32 /usr/lib/ruby/1.9.1/psych/nodes/alias.rb

33 /usr/lib/ruby/1.9.1/psych/nodes.rb

34 /usr/lib/ruby/1.9.1/psych/streaming.rb

35 /usr/lib/ruby/1.9.1/psych/visitors/visitor.rb

36 /usr/lib/ruby/1.9.1/x86_64-linux/strscan.so

37 /usr/lib/ruby/1.9.1/psych/scalar_scanner.rb

38 /usr/lib/ruby/1.9.1/psych/visitors/to_ruby.rb

39 /usr/lib/ruby/1.9.1/psych/visitors/emitter.rb

40 /usr/lib/ruby/1.9.1/psych/visitors/yaml_tree.rb

41 /usr/lib/ruby/1.9.1/psych/json/ruby_events.rb

42 /usr/lib/ruby/1.9.1/psych/visitors/json_tree.rb

43 /usr/lib/ruby/1.9.1/psych/visitors/depth_first.rb

44 /usr/lib/ruby/1.9.1/psych/visitors.rb

45 /usr/lib/ruby/1.9.1/psych/handler.rb

46 /usr/lib/ruby/1.9.1/psych/tree_builder.rb

47 /usr/lib/ruby/1.9.1/psych/parser.rb

48 /usr/lib/ruby/1.9.1/psych/omap.rb

49 /usr/lib/ruby/1.9.1/psych/set.rb

50 /usr/lib/ruby/1.9.1/psych/coder.rb

51 /usr/lib/ruby/1.9.1/psych/core_ext.rb

52 /usr/lib/ruby/1.9.1/x86_64-linux/date_core.so

53 /usr/lib/ruby/1.9.1/date/format.rb

54 /usr/lib/ruby/1.9.1/date.rb

55 /usr/lib/ruby/1.9.1/psych/deprecated.rb

56 /usr/lib/ruby/1.9.1/psych/stream.rb

57 /usr/lib/ruby/1.9.1/psych/json/yaml_events.rb

58 /usr/lib/ruby/1.9.1/psych/json/tree_builder.rb

59 /usr/lib/ruby/1.9.1/psych/json/stream.rb

60 /usr/lib/ruby/1.9.1/psych/handlers/document_stream.rb

61 /usr/lib/ruby/1.9.1/psych.rb

62 /usr/lib/ruby/1.9.1/rubygems/psych_additions.rb

63 /usr/lib/ruby/1.9.1/rubygems/psych_tree.rb

64 /usr/lib/ruby/1.9.1/yaml.rb

65 /usr/lib/ruby/1.9.1/rubygems/syck_hack.rb

66 /usr/lib/ruby/1.9.1/x86_64-linux/enc/utf_16le.so

67 /usr/lib/ruby/1.9.1/x86_64-linux/enc/utf_16be.so

68 /usr/lib/ruby/1.9.1/timeout.rb

69 /usr/lib/ruby/1.9.1/rubygems/install_update_options.rb

70 /usr/lib/ruby/1.9.1/tsort.rb

71 /usr/lib/ruby/1.9.1/rubygems/dependency_list.rb

72 /usr/lib/ruby/1.9.1/rubygems/package/f_sync_dir.rb

73 /usr/lib/ruby/1.9.1/rubygems/package/tar_header.rb

74 /usr/lib/ruby/1.9.1/x86_64-linux/enc/iso_8859_1.so

75 /usr/lib/ruby/1.9.1/x86_64-linux/zlib.so

76 /usr/lib/ruby/1.9.1/rubygems/package/tar_input.rb

77 /usr/lib/ruby/1.9.1/rubygems/package/tar_output.rb

78 /usr/lib/ruby/1.9.1/rubygems/package/tar_reader/entry.rb

79 /usr/lib/ruby/1.9.1/rubygems/package/tar_reader.rb

80 /usr/lib/ruby/1.9.1/rubygems/package/tar_writer.rb

81 /usr/lib/ruby/1.9.1/rubygems/package.rb

82 /usr/lib/ruby/1.9.1/rubygems/format.rb

83 /usr/lib/ruby/1.9.1/rubygems/ext/builder.rb

84 /usr/lib/ruby/1.9.1/rubygems/ext/configure_builder.rb

85 /usr/lib/ruby/1.9.1/rubygems/ext/ext_conf_builder.rb

86 /usr/lib/ruby/1.9.1/rubygems/ext/rake_builder.rb

87 /usr/lib/ruby/1.9.1/rubygems/ext.rb

88 /usr/lib/ruby/1.9.1/rubygems/require_paths_builder.rb

89 /usr/lib/ruby/1.9.1/rubygems/installer.rb
90 /usr/lib/ruby/1.9.1/uri/common.rb

91 /usr/lib/ruby/1.9.1/uri/generic.rb

92 /usr/lib/ruby/1.9.1/uri/ftp.rb

93 /usr/lib/ruby/1.9.1/uri/http.rb

94 /usr/lib/ruby/1.9.1/uri/https.rb

95 /usr/lib/ruby/1.9.1/uri/ldap.rb

96 /usr/lib/ruby/1.9.1/uri/ldaps.rb

97 /usr/lib/ruby/1.9.1/uri/mailto.rb

98 /usr/lib/ruby/1.9.1/uri.rb

99 /usr/lib/ruby/1.9.1/rubygems/remote_fetcher.rb

100 /usr/lib/ruby/1.9.1/rubygems/errors.rb

101 /usr/lib/ruby/1.9.1/rubygems/text.rb

102 /usr/lib/ruby/1.9.1/rubygems/spec_fetcher.rb

103 /usr/lib/ruby/1.9.1/rubygems/dependency_installer.rb

104 /usr/lib/ruby/1.9.1/rubygems/local_remote_options.rb

105 /usr/lib/ruby/1.9.1/rubygems/validator.rb

106 /usr/lib/ruby/1.9.1/rubygems/version_option.rb

107 /usr/lib/ruby/1.9.1/rubygems/commands/install_command.rb

108 /usr/lib/ruby/1.9.1/fileutils.rb

109 /usr/lib/ruby/1.9.1/x86_64-linux/socket.so

110 /usr/lib/ruby/1.9.1/socket.rb

111 /usr/lib/ruby/1.9.1/net/protocol.rb

112 /usr/lib/ruby/1.9.1/net/http.rb

113 /usr/lib/ruby/1.9.1/time.rb

Process memory map:

00400000-00401000 r-xp 00000000 08:03 1462685                            /usr/bin/ruby

00600000-00601000 r--p 00000000 08:03 1462685                            /usr/bin/ruby

00601000-00602000 rw-p 00001000 08:03 1462685                            /usr/bin/ruby

01595000-04c63000 rw-p 00000000 00:00 0                                  [heap]

7f391d78b000-7f391d7a0000 r-xp 00000000 08:03 1445210                    /usr/lib/libgcc_s.so.1

7f391d7a0000-7f391d99f000 ---p 00015000 08:03 1445210                    /usr/lib/libgcc_s.so.1

7f391d99f000-7f391d9a0000 rw-p 00014000 08:03 1445210                    /usr/lib/libgcc_s.so.1

7f391d9b8000-7f391e221000 rw-p 00000000 00:00 0

7f391e221000-7f391e234000 r-xp 00000000 08:03 1464210                    /usr/lib/libresolv-2.16.so

7f391e234000-7f391e434000 ---p 00013000 08:03 1464210                    /usr/lib/libresolv-2.16.so

7f391e434000-7f391e435000 r--p 00013000 08:03 1464210                    /usr/lib/libresolv-2.16.so

7f391e435000-7f391e436000 rw-p 00014000 08:03 1464210                    /usr/lib/libresolv-2.16.so

7f391e436000-7f391e438000 rw-p 00000000 00:00 0

7f391e438000-7f391e43d000 r-xp 00000000 08:03 1442112                    /usr/lib/libnss_dns-2.16.so

7f391e43d000-7f391e63c000 ---p 00005000 08:03 1442112                    /usr/lib/libnss_dns-2.16.so

7f391e63c000-7f391e63d000 r--p 00004000 08:03 1442112                    /usr/lib/libnss_dns-2.16.so

7f391e63d000-7f391e63e000 rw-p 00005000 08:03 1442112                    /usr/lib/libnss_dns-2.16.so

7f391e63e000-7f391e64a000 r-xp 00000000 08:03 1463115                    /usr/lib/libnss_files-2.16.so

7f391e64a000-7f391e849000 ---p 0000c000 08:03 1463115                    /usr/lib/libnss_files-2.16.so

7f391e849000-7f391e84a000 r--p 0000b000 08:03 1463115                    /usr/lib/libnss_files-2.16.so

7f391e84a000-7f391e84b000 rw-p 0000c000 08:03 1463115                    /usr/lib/libnss_files-2.16.so

7f391e84b000-7f391e86d000 r-xp 00000000 08:03 1716969                    /usr/lib/ruby/1.9.1/x86_64-linux/socket.so

7f391e86d000-7f391ea6c000 ---p 00022000 08:03 1716969                    /usr/lib/ruby/1.9.1/x86_64-linux/socket.so

7f391ea6c000-7f391ea6d000 r--p 00021000 08:03 1716969                    /usr/lib/ruby/1.9.1/x86_64-linux/socket.so

7f391ea6d000-7f391ea6e000 rw-p 00022000 08:03 1716969                    /usr/lib/ruby/1.9.1/x86_64-linux/socket.so

7f391ea6e000-7f391ea83000 r-xp 00000000 08:03 1447989                    /usr/lib/libz.so.1.2.7

7f391ea83000-7f391ec82000 ---p 00015000 08:03 1447989                    /usr/lib/libz.so.1.2.7

7f391ec82000-7f391ec83000 r--p 00014000 08:03 1447989                    /usr/lib/libz.so.1.2.7

7f391ec83000-7f391ec84000 rw-p 00015000 08:03 1447989                    /usr/lib/libz.so.1.2.7

7f391ec84000-7f391ec90000 r-xp 00000000 08:03 1716945                    /usr/lib/ruby/1.9.1/x86_64-linux/zlib.so

7f391ec90000-7f391ee90000 ---p 0000c000 08:03 1716945                    /usr/lib/ruby/1.9.1/x86_64-linux/zlib.so

7f391ee90000-7f391ee91000 r--p 0000c000 08:03 1716945                    /usr/lib/ruby/1.9.1/x86_64-linux/zlib.so

7f391ee91000-7f391ee92000 rw-p 0000d000 08:03 1716945                    /usr/lib/ruby/1.9.1/x86_64-linux/zlib.so

7f391ee92000-7f391ee94000 r-xp 00000000 08:03 1978102                    /usr/lib/ruby/1.9.1/x86_64-linux/enc/iso_8859_1.so

7f391ee94000-7f391f093000 ---p 00002000 08:03 1978102                    /usr/lib/ruby/1.9.1/x86_64-linux/enc/iso_8859_1.so

7f391f093000-7f391f094000 r--p 00001000 08:03 1978102                    /usr/lib/ruby/1.9.1/x86_64-linux/enc/iso_8859_1.so

7f391f094000-7f391f095000 rw-p 00002000 08:03 1978102                    /usr/lib/ruby/1.9.1/x86_64-linux/enc/iso_8859_1.so

7f391f095000-7f391f096000 r-xp 00000000 08:03 1978132                    /usr/lib/ruby/1.9.1/x86_64-linux/enc/utf_16be.so

7f391f096000-7f391f296000 ---p 00001000 08:03 1978132                    /usr/lib/ruby/1.9.1/x86_64-linux/enc/utf_16be.so
7f391f296000-7f391f297000 r--p 00001000 08:03 1978132                    /usr/lib/ruby/1.9.1/x86_64-linux/enc/utf_16be.so

7f391f297000-7f391f298000 rw-p 00002000 08:03 1978132                    /usr/lib/ruby/1.9.1/x86_64-linux/enc/utf_16be.so

7f391f298000-7f391f299000 r-xp 00000000 08:03 1978101                    /usr/lib/ruby/1.9.1/x86_64-linux/enc/utf_16le.so

7f391f299000-7f391f499000 ---p 00001000 08:03 1978101                    /usr/lib/ruby/1.9.1/x86_64-linux/enc/utf_16le.so

7f391f499000-7f391f49a000 r--p 00001000 08:03 1978101                    /usr/lib/ruby/1.9.1/x86_64-linux/enc/utf_16le.so

7f391f49a000-7f391f49b000 rw-p 00002000 08:03 1978101                    /usr/lib/ruby/1.9.1/x86_64-linux/enc/utf_16le.so

7f391f49b000-7f391f4c9000 r-xp 00000000 08:03 1716965                    /usr/lib/ruby/1.9.1/x86_64-linux/date_core.so

7f391f4c9000-7f391f6c9000 ---p 0002e000 08:03 1716965                    /usr/lib/ruby/1.9.1/x86_64-linux/date_core.so

7f391f6c9000-7f391f6ca000 r--p 0002e000 08:03 1716965                    /usr/lib/ruby/1.9.1/x86_64-linux/date_core.so

7f391f6ca000-7f391f6cb000 rw-p 0002f000 08:03 1716965                    /usr/lib/ruby/1.9.1/x86_64-linux/date_core.so

7f391f6cb000-7f391f6cc000 rw-p 00000000 00:00 0

7f391f6cc000-7f391f6d1000 r-xp 00000000 08:03 1716947                    /usr/lib/ruby/1.9.1/x86_64-linux/strscan.so

7f391f6d1000-7f391f8d0000 ---p 00005000 08:03 1716947                    /usr/lib/ruby/1.9.1/x86_64-linux/strscan.so

7f391f8d0000-7f391f8d1000 r--p 00004000 08:03 1716947                    /usr/lib/ruby/1.9.1/x86_64-linux/strscan.so

7f391f8d1000-7f391f8d2000 rw-p 00005000 08:03 1716947                    /usr/lib/ruby/1.9.1/x86_64-linux/strscan.so

7f391f8d2000-7f391f8d8000 r-xp 00000000 08:03 1716954                    /usr/lib/ruby/1.9.1/x86_64-linux/stringio.so

7f391f8d8000-7f391fad7000 ---p 00006000 08:03 1716954                    /usr/lib/ruby/1.9.1/x86_64-linux/stringio.so

7f391fad7000-7f391fad8000 r--p 00005000 08:03 1716954                    /usr/lib/ruby/1.9.1/x86_64-linux/stringio.so

7f391fad8000-7f391fad9000 rw-p 00006000 08:03 1716954                    /usr/lib/ruby/1.9.1/x86_64-linux/stringio.so

7f391fad9000-7f391faf9000 r-xp 00000000 08:03 1462670                    /usr/lib/libyaml-0.so.2.0.2

7f391faf9000-7f391fcf8000 ---p 00020000 08:03 1462670                    /usr/lib/libyaml-0.so.2.0.2

7f391fcf8000-7f391fcf9000 r--p 0001f000 08:03 1462670                    /usr/lib/libyaml-0.so.2.0.2

7f391fcf9000-7f391fcfa000 rw-p 00020000 08:03 1462670                    /usr/lib/libyaml-0.so.2.0.2

7f391fcfa000-7f391fd00000 r-xp 00000000 08:03 1716951                    /usr/lib/ruby/1.9.1/x86_64-linux/psych.so

7f391fd00000-7f391feff000 ---p 00006000 08:03 1716951                    /usr/lib/ruby/1.9.1/x86_64-linux/psych.so

7f391feff000-7f391ff00000 r--p 00005000 08:03 1716951                    /usr/lib/ruby/1.9.1/x86_64-linux/psych.so

7f391ff00000-7f391ff01000 rw-p 00006000 08:03 1716951                    /usr/lib/ruby/1.9.1/x86_64-linux/psych.so

7f391ff01000-7f391ff04000 r-xp 00000000 08:03 1716974                    /usr/lib/ruby/1.9.1/x86_64-linux/etc.so

7f391ff04000-7f3920103000 ---p 00003000 08:03 1716974                    /usr/lib/ruby/1.9.1/x86_64-linux/etc.so

7f3920103000-7f3920104000 r--p 00002000 08:03 1716974                    /usr/lib/ruby/1.9.1/x86_64-linux/etc.so

7f3920104000-7f3920105000 rw-p 00003000 08:03 1716974                    /usr/lib/ruby/1.9.1/x86_64-linux/etc.so

7f3920105000-7f3920107000 r-xp 00000000 08:03 1978141                    /usr/lib/ruby/1.9.1/x86_64-linux/enc/trans/transdb.so

7f3920107000-7f3920307000 ---p 00002000 08:03 1978141                    /usr/lib/ruby/1.9.1/x86_64-linux/enc/trans/transdb.so

7f3920307000-7f3920308000 r--p 00002000 08:03 1978141                    /usr/lib/ruby/1.9.1/x86_64-linux/enc/trans/transdb.so

7f3920308000-7f3920309000 rw-p 00003000 08:03 1978141                    /usr/lib/ruby/1.9.1/x86_64-linux/enc/trans/transdb.so

7f3920309000-7f392030b000 r-xp 00000000 08:03 1978123                    /usr/lib/ruby/1.9.1/x86_64-linux/enc/encdb.so

7f392030b000-7f392050a000 ---p 00002000 08:03 1978123                    /usr/lib/ruby/1.9.1/x86_64-linux/enc/encdb.so

7f392050a000-7f392050b000 r--p 00001000 08:03 1978123                    /usr/lib/ruby/1.9.1/x86_64-linux/enc/encdb.so

7f392050b000-7f392050c000 rw-p 00002000 08:03 1978123                    /usr/lib/ruby/1.9.1/x86_64-linux/enc/encdb.so

7f392050c000-7f392060d000 rw-p 00000000 00:00 0

7f392060d000-7f3920706000 r-xp 00000000 08:03 1452563                    /usr/lib/libm-2.16.so

7f3920706000-7f3920905000 ---p 000f9000 08:03 1452563                    /usr/lib/libm-2.16.so

7f3920905000-7f3920906000 r--p 000f8000 08:03 1452563                    /usr/lib/libm-2.16.so

7f3920906000-7f3920907000 rw-p 000f9000 08:03 1452563                    /usr/lib/libm-2.16.so

7f3920907000-7f392090f000 r-xp 00000000 08:03 1444066                    /usr/lib/libcrypt-2.16.so

7f392090f000-7f3920b0e000 ---p 00008000 08:03 1444066                    /usr/lib/libcrypt-2.16.so

7f3920b0e000-7f3920b0f000 r--p 00007000 08:03 1444066                    /usr/lib/libcrypt-2.16.so

7f3920b0f000-7f3920b10000 rw-p 00008000 08:03 1444066                    /usr/lib/libcrypt-2.16.so

7f3920b10000-7f3920b3e000 rw-p 00000000 00:00 0

7f3920b3e000-7f3920b41000 r-xp 00000000 08:03 1463570                    /usr/lib/libdl-2.16.so

7f3920b41000-7f3920d40000 ---p 00003000 08:03 1463570                    /usr/lib/libdl-2.16.so

7f3920d40000-7f3920d41000 r--p 00002000 08:03 1463570                    /usr/lib/libdl-2.16.so

7f3920d41000-7f3920d42000 rw-p 00003000 08:03 1463570                    /usr/lib/libdl-2.16.so

7f3920d42000-7f3920d49000 r-xp 00000000 08:03 1463114                    /usr/lib/librt-2.16.so

7f3920d49000-7f3920f48000 ---p 00007000 08:03 1463114                    /usr/lib/librt-2.16.so

7f3920f48000-7f3920f49000 r--p 00006000 08:03 1463114                    /usr/lib/librt-2.16.so

7f3920f49000-7f3920f4a000 rw-p 00007000 08:03 1463114                    /usr/lib/librt-2.16.so

7f3920f4a000-7f3920f61000 r-xp 00000000 08:03 1463186                    /usr/lib/libpthread-2.16.so

7f3920f61000-7f3921160000 ---p 00017000 08:03 1463186                    /usr/lib/libpthread-2.16.so

7f3921160000-7f3921161000 r--p 00016000 08:03 1463186                    /usr/lib/libpthread-2.16.so

7f3921161000-7f3921162000 rw-p 00017000 08:03 1463186                    /usr/lib/libpthread-2.16.so

7f3921162000-7f3921166000 rw-p 00000000 00:00 0

7f3921166000-7f3921304000 r-xp 00000000 08:03 1463118                    /usr/lib/libc-2.16.so

7f3921304000-7f3921503000 ---p 0019e000 08:03 1463118                    /usr/lib/libc-2.16.so

7f3921503000-7f3921507000 r--p 0019d000 08:03 1463118                    /usr/lib/libc-2.16.so

7f3921507000-7f3921509000 rw-p 001a1000 08:03 1463118                    /usr/lib/libc-2.16.so

7f3921509000-7f392150d000 rw-p 00000000 00:00 0
7f392150d000-7f39216fd000 r-xp 00000000 08:03 1462677                    /usr/lib/libruby.so.1.9.1

7f39216fd000-7f39218fc000 ---p 001f0000 08:03 1462677                    /usr/lib/libruby.so.1.9.1

7f39218fc000-7f3921904000 rw-p 001ef000 08:03 1462677                    /usr/lib/libruby.so.1.9.1

7f3921904000-7f3921920000 rw-p 00000000 00:00 0

7f3921920000-7f3921941000 r-xp 00000000 08:03 1464274                    /usr/lib/ld-2.16.so

7f392199a000-7f3921b23000 r--p 00000000 08:03 1464288                    /usr/lib/locale/locale-archive

7f3921b23000-7f3921b29000 rw-p 00000000 00:00 0

7f3921b3b000-7f3921b3d000 rw-p 00000000 00:00 0

7f3921b3d000-7f3921b3e000 ---p 00000000 00:00 0

7f3921b3e000-7f3921b41000 rw-p 00000000 00:00 0                          [stack:10233]

7f3921b41000-7f3921b42000 r--p 00021000 08:03 1464274                    /usr/lib/ld-2.16.so

7f3921b42000-7f3921b43000 rw-p 00022000 08:03 1464274                    /usr/lib/ld-2.16.so

7f3921b43000-7f3921b44000 rw-p 00000000 00:00 0

7fffcc654000-7fffcc675000 rw-p 00000000 00:00 0                          [stack]

7fffcc6db000-7fffcc6dc000 r-xp 00000000 00:00 0                          [vdso]

ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

History

#1 - 10/24/2012 12:54 PM - vbatts (Vincent Batts)

I have just tried this from slackware-current (14.0), using rvm to match the ruby version.

I was not able to reproduce.

vbatts@dolph:~$ ruby -v which gem install prawn

ruby 1.9.3p286 (2012-10-12 revision 37165) [i686-linux]

A lot has changed since 0.8.4

Please read the changelog for details:

https://github.com/sandal/prawn/wiki/CHANGELOG

Successfully installed prawn-0.12.0

1 gem installed

Installing ri documentation for prawn-0.12.0...

Installing RDoc documentation for prawn-0.12.0...

#2 - 10/24/2012 01:08 PM - ushi (ushi kalcher)

After the third try everything went fine for me, too. I had a very unstable wifi connection this day, maybe a bug in the Net library.

#3 - 11/05/2012 10:22 PM - mame (Yusuke Endoh)

- Status changed from Open to Assigned

- Assignee set to akr (Akira Tanaka)

- Target version set to 2.0.0

Looks very difficult to reproduce this issue.

The segfault seems to occur in read_nonblock.

Akr-san, do you know anything?  If not, please close this ticket.

--

Yusuke Endoh mame@tsg.ne.jp

#4 - 02/18/2013 11:56 PM - mame (Yusuke Endoh)

- Target version changed from 2.0.0 to 2.6

#5 - 04/03/2013 08:59 PM - akr (Akira Tanaka)

- Status changed from Assigned to Closed

I have no idea.
